package es.uv.saic.dto;

import es.uv.saic.domain.Acreditacio;
import es.uv.saic.domain.Organ;

public class OrganDTO{
    private Integer lugar;
    private String tlugar;
    private Integer lugar2;
    private String tlugar2;
    private String nomCas;
    private String nomVal;
    private Integer ruct;
    private String tambit;
    private String tambit2;
    private String nomCas2;
    private String nomVal2;
    private Integer ruct2;
    private String codis;
    private String codis2;
    private Acreditacio acreditacio;

    public OrganDTO() {}

    public OrganDTO(Integer lugar, String tlugar, Integer lugar2, String tlugar2, 
                   String nomCas, String nomVal, Integer ruct, String tambit, 
                   String tambit2, String nomCas2, String nomVal2, Integer ruct2,
                   String codis, String codis2, Acreditacio acreditacio) {
        this.lugar = lugar;
        this.tlugar = tlugar;
        this.lugar2 = lugar2;
        this.tlugar2 = tlugar2;  
        this.nomCas = nomCas;
        this.nomVal = nomVal;
        this.ruct = ruct;
        this.tambit = tambit;
        this.tambit2 = tambit2;
        this.nomCas2 = nomCas2;
        this.nomVal2 = nomVal2;
        this.ruct2 = ruct2;
        this.codis = codis;
        this.codis2 = codis2;
        this.acreditacio = acreditacio;
    }

    public OrganDTO(Organ organ) {
        this.lugar = organ.getId().getLugar();
        this.tlugar = organ.getId().getTlugar();
        this.lugar2 = organ.getOrgan().getId().getLugar();
        this.tlugar2 =  organ.getOrgan().getId().getTlugar();  
        this.nomCas = organ.getNomCas();
        this.nomVal = organ.getNomVal();
        this.ruct = organ.getRuct();
        this.tambit = organ.getTambit();
        this.tambit2 = organ.getOrgan().getTambit();
        this.nomCas2 = organ.getOrgan().getNomCas();
        this.nomVal2 = organ.getOrgan().getNomVal();
        this.ruct2 = organ.getOrgan().getRuct();
        this.codis = organ.getCodis();
        this.codis2 = organ.getOrgan().getCodis();
        this.acreditacio = organ.getAcreditacio();
    }

    public OrganDTO(OrganRepositoryDTO organ) {
        this.lugar = Integer.parseInt(organ.getLugar());
        this.tlugar = organ.getTlugar();
        this.lugar2 = Integer.parseInt(organ.getLugar());
        this.tlugar2 =  organ.getTlugar();  
        this.nomCas = organ.getNomCas();
        this.nomVal = organ.getNomVal();
        this.ruct = organ.getRuct();
        this.tambit = organ.getTambit();
        this.nomCas2 = organ.getNomCas2();
        this.nomVal2 = organ.getNomVal2();
        this.ruct2 = organ.getRuct2();
    }

    public Integer getLugar() {
        return lugar;
    }

    public String getTlugar() {
        return tlugar;
    }

    public Integer getLugar2() {
        return lugar2;
    }

    public String getTlugar2() {
        return tlugar2;
    }

    public String getNomCas() {
        return nomCas;
    }

    public String getNomVal() {
        return nomVal;
    }

    public Integer getRuct() {
        return ruct;
    }

    public String getTambit() {
        return tambit;
    }

    public String getTambit2() {
        return tambit2;
    }

    public String getNomTCas() {
        return nomCas2;
    }

    public String getNomTVal() {
        return nomVal2;
    }

    public Integer getRuct2() {
        return ruct2;
    }

    public String getNomCas2() {
        return nomCas2;
    }

    public String getNomVal2() {
        return nomVal2;
    }

    public String getCodis() {
        return codis;
    }

    public String getCodis2() {
        return codis2;
    }

    public Acreditacio getAcreditacio() {
        return acreditacio;
    }

    public void setLugar(Integer lugar) {
        this.lugar = lugar;
    }

    public void setTlugar(String tlugar) {
        this.tlugar = tlugar;
    }

    public void setLugar2(Integer lugar2) {
        this.lugar2 = lugar2;
    }

    public void setTlugar2(String tlugar2) {
        this.tlugar2 = tlugar2;
    }

    public void setNomCas(String nomCas) {
        this.nomCas = nomCas;
    }

    public void setNomVal(String nomVal) {
        this.nomVal = nomVal;
    }

    public void setRuct(Integer ruct) {
        this.ruct = ruct;
    }

    public void setTambit(String tambit) {
        this.tambit = tambit;
    }

    public void setTambit2(String tambit) {
        this.tambit2 = tambit;
    }

    public void setNomCas2(String nomCas2) {
        this.nomCas2 = nomCas2;
    }

    public void setNomVal2(String nomVal2) {
        this.nomVal2 = nomVal2;
    }

    public void setRuct2(Integer ruct2) {
        this.ruct2 = ruct2;
    }

    public void setCodis(String codis) {
        this.codis = codis;
    }

    public void setCodis2(String codis) {
        this.codis2 = codis;
    }

     public void setAcreditacio(Acreditacio acreditacio) {
        this.acreditacio = acreditacio;
    }
}